linux-firmware conflict with amd64-microcode

Bug #1181145 reported by Grant Slater on 2013-05-17
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
amd64-microcode (Ubuntu)
Medium
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Medium
Unassigned
linux-firmware (Ubuntu)
Undecided
Tim Gardner
Precise
Undecided
Tim Gardner
Trusty
Undecided
Tim Gardner
Utopic
Undecided
Tim Gardner

Bug Description

Package linux-firmware since 1.79.3 ( see #1068299 ) should conflict and replace amd64-microcode as they both attempt to install the same files.

/lib/firmware/amd-ucode/microcode_amd.bin
/lib/firmware/amd-ucode/microcode_amd.bin.README
/lib/firmware/amd-ucode/microcode_amd_fam15h.bin
/lib/firmware/amd-ucode/microcode_amd_fam15h.bin.README

Changed in linux-firmware (Ubuntu):
importance: Undecided → Medium
Tim Gardner (timg-tpi) wrote :

This is a problem with amd64-microcode. Packages in main get priority.

affects: linux-firmware (Ubuntu) → amd64-microcode (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in amd64-microcode (Ubuntu):
status: New → Confirmed
Richard Laager (rlaager) wrote :

@timg-tpi: The suggestion in this bug report is for linux-firmware to conflict and replace amd64-microcode, so that is CONSISTENT with the package in main getting priority.

Changed in linux-firmware (Ubuntu):
status: New → Confirmed
Changed in amd64-microcode (Ubuntu):
status: Confirmed → Invalid
Tim Gardner (timg-tpi) on 2014-06-25
Changed in linux-firmware (Ubuntu):
assignee: nobody → Tim Gardner (timg-tpi)
status: Confirmed → In Progress
Changed in linux-firmware (Ubuntu Trusty):
status: New → In Progress
Changed in linux-firmware (Ubuntu Precise):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux-firmware (Ubuntu Trusty):
assignee: nobody → Tim Gardner (timg-tpi)
Adam Conrad (adconrad) wrote :

So, I think we agreed on IRC that the right thing to do here is to remove the amd64 microcode from linux-firmware entirely, and remove the Provides/Conflicts/Replaces, so both packages can be installed together.

The amd64 microcode license isn't suitable for main anyway (doesn't allow modification or disassembly), so this is the best way forward.

Changed in amd64-microcode (Ubuntu Precise):
status: New → Invalid
Changed in amd64-microcode (Ubuntu Trusty):
status: New → Invalid
Tim Gardner (timg-tpi) wrote :

rlaager - after re-examining this issue it was pointed out that licensing for the AMD firmware is inappropriate for packaging in main. On that basis I am going to remove all mention of AMD microcode (including packaging statements) in favor of the multiverse amd-microcode package. Furthermore, amd-microcode will actually do the right thing wrt to initiramfs hooks whereas linux-firmware currently does not.

Tim Gardner (timg-tpi) on 2014-06-25
Changed in linux-firmware (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Trusty):
status: In Progress → Fix Committed
Tim Gardner (timg-tpi) on 2014-06-25
Changed in linux-firmware (Ubuntu Utopic):
status: In Progress → Fix Committed

Hello Grant, or anyone else affected,

Accepted linux-firmware into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/linux-firmware/1.79.16 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Hello Grant, or anyone else affected,

Accepted linux-firmware into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/linux-firmware/1.127.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Verified on both precise and trusty that the conflicting files are now gone, as are the dpkg conflicts against amd64-microcode.

tags: added: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.127.4

---------------
linux-firmware (1.127.4) trusty; urgency=medium

  * Remove amd64-microcode for licensing reasons.
    The amd64 microcode is not suitable for packaging in main since
    the license does not allow modification or disassembly. Install
    the multiverse package amd64-microcode instead which also contains
    initramfs hooks.
    -LP: #1181145
 -- Tim Gardner <email address hidden> Wed, 25 Jun 2014 08:56:48 -0600

Changed in linux-firmware (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.79.16

---------------
linux-firmware (1.79.16) precise; urgency=medium

  * Remove amd64-microcode for licensing reasons.
    The amd64 microcode is not suitable for packaging in main since
    the license does not allow modification or disassembly. Install
    the multiverse package amd64-microcode instead which also contains
    initramfs hooks.
    -LP: #1181145
 -- Tim Gardner <email address hidden> Wed, 25 Jun 2014 09:29:22 -0600

Changed in linux-firmware (Ubuntu Precise):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.132

---------------
linux-firmware (1.132) utopic; urgency=medium

  * Remove amd64-microcode for licensing reasons.
    The amd64 microcode is not suitable for packaging in main since
    the license does not allow modification or disassembly. Install
    the multiverse package amd64-microcode instead which also contains
    initramfs hooks.
    -LP: #1181145
 -- Tim Gardner <email address hidden> Wed, 25 Jun 2014 08:11:00 -0600

Changed in linux-firmware (Ubuntu Utopic):
status: Fix Committed → Fix Released
Dalai (dalai82) wrote :

Hey,

there is a slight problem with the removal of the amd64-microcode from linux-firmware package. It tells me (and/or the maintainer) to install the multiverse package amd64-microcode instead. However, that package is currently not available for Ubuntu Precise. See my bug report affecting amd64-microcode package here https://bugs.launchpad.net/ubuntu/+source/amd64-microcode/+bug/1335469.

Regards
Dalai

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers